<div class="templatepopcentering">
    <div class="detil" style="padding: 4px;font-size:14px;margin-top:25px;width: 500px;margin: 0 auto;border-color: #FFFFFF;">
			<form id="frm_relaas_akta" style="padding: 4px;background:white;margin:0;" method="post" action="<?php echo base_url().'c_template_relaas_pidana_kasasi/cetak_relaas_kasasi';?>">
			<table id="" style="padding:5px;">				
				<tr><td colspan="2" class="templatepoptitle">
                <?php echo $judul;?>
                </td></tr>
                <tr>
                    <td class="templatepopleftcol">Jenis Relaas Kasasi<font color=red>*</font></td>
                    <td>
                        <span class="custom-dropdown custom-dropdown--emerald">
                            <select style='width:275px;'  name="jenisAkta" id="jenisAkta" class="custom-dropdown__select custom-dropdown__select--white">
                                <?php 
                                    if($jenisrelas==1 AND $pihakasal==1){
                                        echo '<option value="1">Relas Pemberitahuan Permohonan Kasasi Kepada Penuntut Umum</option>';
                                    }elseif($jenisrelas==1 AND $pihakasal==2){
                                        echo '<option value="2">Relas Pemberitahuan Permohonan Kasasi Kepada Terdakwa</option>';
                                    }elseif($jenisrelas==2 AND $pihakasal==2){
                                        echo '<option value="3">Relaas Penyerahan Memori Kasasi Kepada Terdakwa</option>';
                                    }elseif($jenisrelas==2 AND $pihakasal==1){
                                        echo '<option value="4">Relaas Penyerahan Memori Kasasi Kepada Penuntut Umum</option>';
                                    }elseif($jenisrelas==3 AND $pihakasal==1){
                                        echo '<option value="5">Relaas Penyerahan Kontra Memori Kasasi Kepada Penuntut Umum</option>';
                                        echo '<option value="7">Relaas Penyerahan Kontra Memori Kasasi Kepada Pemohon Kasasi</option>';
                                    }elseif($jenisrelas==3 AND $pihakasal==2){
                                        echo '<option value="6">Relaas Penyerahan Kontra Memori Kasasi Kepada Terdakwa</option>';
                                        echo '<option value="7">Relaas Penyerahan Kontra Memori Kasasi Kepada Pemohon Kasasi</option>';
                                    }elseif($jenisrelas==4 AND $pihakasal==1){
                                        echo '<option value="8">Relaas Pemberitahuan Putusan Kasasi Kepada Penuntut Umum</option>';
                                    }elseif($jenisrelas==4 AND $pihakasal==2){
                                        echo '<option value="9">Relaas Pemberitahuan Putusan Kasasi Kepada Terdakwa</option>';
                                    }
                                ?>                            
                            </select>
                        </span>
                    </td>
                </tr>                                 
                <?php if($pihakasal==2){ ?>                 
                    <tr class="trTerdakwa">
                        <td class="templatepopleftcol">Nama Terdakwa<font color=red>*</font></td>
                        <td>
                            <span class="custom-dropdown custom-dropdown--emerald">
                                <select style='width:275px;'  name="terdakwa" id="terdakwa"  class="custom-dropdown__select custom-dropdown__select--white">                                    
                                    <?php                                
                                        if($listTerdakwa != ''){
                                            if($listTerdakwa->num_rows>0){
                                                if($listTerdakwa->num_rows>1){
                                                    echo '<option value="-1">Pilih Nama Terdakwa</option>';
                                                }foreach ($listTerdakwa->result() as $row) {
                                                    $IDPihak = base64_encode($this->encrypt->encode($row->IDPihak));
                                                    echo "<option value='".$IDPihak."'>".$this->templatehelper->standradnaming($row->nama)."</option>";
                                                }
                                            }else{
                                                echo '<option value="-1">Data Terdakwa Tidak Ada</option>';
                                            }
                                        }else{
                                            echo '<option value="-1">Data Terdakwa Tidak Ada</option>';
                                        }
                                    ?>                                 
                                </select>
                            </span>
                        </td> 
                    </tr>
                <?php } ?>                
                <tr class="tr_pemohon" style="display:none;">
                    <td class="templatepopleftcol">Pemohon Kasasi<font color=red>*</font></td>
                    <td>
                        <span class="custom-dropdown custom-dropdown--emerald">
                            <select style='width:275px;'  name="pemohon" id="pemohon"  class="custom-dropdown__select custom-dropdown__select--white">                                
                                <?php                                
                                    if($listPemohon != ''){
                                        if($listPemohon->num_rows>0){
                                            if($listPemohon->num_rows>1){
                                                echo '<option value="-1">Pilih Nama Pemohon Kasasi</option>';
                                            }foreach ($listPemohon->result() as $row) {
                                                $IDPihak = base64_encode($this->encrypt->encode($row->IDPihak));
                                                echo "<option value='".$IDPihak."' serahKontra1='".$row->penyerahan_kontra_kasasi."' serahKontra2='".$this->templatehelper->convertKeTglIndo($row->penyerahan_kontra_kasasi)."'>".$this->templatehelper->standradnaming($row->nama)."</option>";
                                                $tglserahindo = $this->templatehelper->convertKeTglIndo($row->penyerahan_kontra_kasasi);
                                                $tglserah = $row->penyerahan_kontra_kasasi;
                                            }
                                        }else{
                                            echo '<option value="-1">Data Pemohon Kasasi Tidak Ada</option>';
                                        }
                                    }else{
                                        echo '<option value="-1">Data Pemohon Kasasi Tidak Ada</option>';
                                    }
                                ?>                                 
                            </select>
                        </span>
                    </td> 
                </tr>
                <?php if($pihakasal==1){ ?> 
                    <tr class="trPenuntut">
                        <td class="templatepopleftcol">Penuntut Umum<font color=red>*</font></td>
                        <td>
                            <span class="custom-dropdown custom-dropdown--emerald">
                                <select style='width:275px;'  name="penuntut" id="penuntut"  class="custom-dropdown__select custom-dropdown__select--white">                                    
                                    <?php                                
                                        if($listJaksa != ''){
                                            if($listJaksa->num_rows>0){
                                                if($listJaksa->num_rows>1){
                                                    echo '<option value="-1">Pilih Nama Penuntut Umum</option>';
                                                }foreach ($listJaksa->result() as $row) {
                                                    $IDPihak = base64_encode($this->encrypt->encode($row->IDPihak));
                                                    echo "<option value='".$IDPihak."'>".$this->templatehelper->standradnaming($row->nama)."</option>";
                                                }
                                            }else{
                                                echo '<option value="-1">Data Penuntut Umum Tidak Ada</option>';
                                            }
                                        }else{
                                            echo '<option value="-1">Data Penuntut Umum Tidak Ada</option>';
                                        }
                                    ?>                                 
                                </select>
                            </span>
                        </td> 
                    </tr>
                <?php } ?>
                <tr class="tr_termohon" style="display:none;">
                    <td class="templatepopleftcol">Termohon Kasasi<font color=red>*</font></td>
                    <td>
                        <span class="custom-dropdown custom-dropdown--emerald">
                            <select style='width:275px;'  name="termohon" id="termohon"  class="custom-dropdown__select custom-dropdown__select--white">                                
                                <?php                                
                                    if($listTermohon != ''){
                                        if($listTermohon->num_rows>0){
                                            if($listTermohon->num_rows>1){
                                                echo '<option value="-1">Pilih Nama Termohon Kasasi</option>';
                                            }foreach ($listTermohon->result() as $row) {
                                                $IDPihak = base64_encode($this->encrypt->encode($row->IDPihak));
                                                echo "<option value='".$IDPihak."' atttgl1='".$row->penerimaan_kontra_kasasi."' atttgl2='".$this->templatehelper->convertKeTglIndo($row->penerimaan_kontra_kasasi)."'>".$this->templatehelper->standradnaming($row->nama)."</option>";
                                                $tglmemoriindo = $this->templatehelper->convertKeTglIndo($row->penerimaan_kontra_kasasi);
                                                $tglmemori = $row->penerimaan_kontra_kasasi;
                                            }
                                        }else{
                                            echo '<option value="-1">Data Termohon Kasasi Tidak Ada</option>';
                                        }
                                    }else{
                                        echo '<option value="-1">Data Termohon Kasasi Tidak Ada</option>';
                                    }
                                ?>                                 
                            </select>
                        </span>
                    </td> 
                </tr> 
                <?php if(($jenisrelas==1) OR ($jenisrelas==2) OR ($jenisrelas==3)){ ?>                               
                    <tr class="tr_kasasiterhadap">
                        <td class="templatepopleftcol">Kasasi Terhadap<font color=red>*</font></td>
                        <td>
                            <span class="custom-dropdown custom-dropdown--emerald">
                                <select style='width:275px;'  name="kasasiTerhadap" id="kasasiTerhadap" class="custom-dropdown__select custom-dropdown__select--white">
                                    <option value='-1'>Pilih Putusan</option>
                                    <option value='1'>1.Putusan Tingkat Pertama</option>
                                    <option value='2'>2.Putusan Tingkat Banding</option>                                                                                                                               
                                </select>
                            </span>
                        </td>
                    </tr> 
                <?php } ?>               
                <tr>
                    <td class="templatepopleftcol">Nama Jurusita/JSP<font color=red>*</font></td>
                    <td>
                        <span class="custom-dropdown custom-dropdown--emerald">
                            <select style='width:275px;'  name="jurusita" id="jurusita"  class="custom-dropdown__select custom-dropdown__select--white">                                
                                <?php                                
                                    if($listJurusita != ''){
                                        if($listJurusita->num_rows>0){
                                            if($listJurusita->num_rows>1){
                                                echo '<option value="-1">Pilih Nama Jurusita/JSP</option>';
                                            }foreach ($listJurusita->result() as $row) {
                                                $id = base64_encode($this->encrypt->encode($row->id));
                                                echo "<option value='".$id."'>".$this->templatehelper->standradnaming($row->nama_gelar)."</option>";
                                            }
                                        }else{
                                            echo '<option value="-1">Data Jurusita/JSP Tidak Ada</option>';
                                        }
                                    }else{
                                        echo '<option value="-1">Data Jurusita/JSP Tidak Ada</option>';
                                    }
                                ?>                                 
                            </select>
                        </span>
                    </td> 
                </tr>
                <tr>
                    <td class="templatepopleftcol">Tanggal Pemberitahuan<font color=red>*</font></td>                    
                    <td>                        
                        <input id='inputrelaaskasasi' name='inputrelaaskasasi' style="background-color:#8;padding:5px; padding-left:10px;" value="<?php echo (empty($tglserahindo))? $tglpemberitahuanindo: $tglserahindo; ?>" disabled>
                        <input type="hidden" id="tglpemberitahuan" name = 'tglpemberitahuan' value="<?php echo (empty($tglserah))? $tglpemberitahuan: $tglserah; ?>">                          
                    </td>
                </tr>
                <tr class="trinputtermohon" style="display:none;">
                    <td class="templatepopleftcol">Tanggal Penerimaan Kontra Memori<font color=red>*</font></td> 
                    <td >                                       
                        <input id='inputtgltermohon2' name='inputtgltermohon2' style="background-color:#8;padding:5px;padding-left:10px;" value="<?php echo $tglmemoriindo; ?>" disabled>
                        <input type="hidden" id="inputtgltermohon1" name = 'inputtgltermohon1' value="<?php echo $tglmemori; ?>">
                    </td>                                                              
                </tr>                                                                                          				
                <tr>
					<td colspan="2" style="background:white;" align="center">
                        <input type="hidden" id="enc" name = 'enc' value="<?php echo $enc; ?>">
						<input type="button" id="kembali" value="Kembali" class="btn">
						<input type="submit" id="print_btn" value="Cetak" class="btn">
					</td>
				</tr>
            </table>
		</div>
	</div>
</div>
</div>

<script type="text/javascript">
$('#kembali').closingFormWin();

$('#termohon').change(function(e){
    var termohon = $('#termohon').val();    
    var tanggal1 = $('#termohon :selected').attr('atttgl1');
    var tanggal2 = $('#termohon :selected').attr('atttgl2');
    if((tanggal1!='') || (terbanding!=-1)){
        $("#inputtgltermohon1").empty();  
        $('#inputtgltermohon1').val(tanggal1);
        $('#inputtgltermohon2').val(tanggal2);      
    }else{                  
        alert('Mohon Mengisikan Tanggal Penerimaan Kontra Kasasi');
        $("#inputtgltermohon1").empty();
        $("#inputtgltermohon2").empty();
    }
        
});
$('#pemohon').change(function(e){
    var termohon = $('#pemohon').val();    
    var tanggal1 = $('#pemohon :selected').attr('serahKontra1');
    var tanggal2 = $('#pemohon :selected').attr('serahKontra2');
    if((tanggal1!='') || (pemohon!=-1)){
        $("#tglpemberitahuan").empty();  
        $('#tglpemberitahuan').val(tanggal1);
        $('#inputrelaaskasasi').val(tanggal2);      
    }else{                  
        alert('Mohon Mengisikan Tanggal Penerimaan Kontra Kasasi');
        $("#tglpemberitahuan").empty();
        $("#inputrelaaskasasi").empty();
    }
        
});

$("#jenisAkta").change(function(){
    if(($(this).val()==1)||($(this).val()==2)||($(this).val()==3)||($(this).val()==4)||($(this).val()==5)||($(this).val()==6)||($(this).val()==7))
    $("tr.tr_kasasiterhadap").show();
    else $("tr.tr_kasasiterhadap").hide();
})
$("#jenisAkta").change(function(){
    if(($(this).val()==2)||($(this).val()==9))
    $("tr.tr_terdakwa").show();
    else $("tr.tr_terdakwa").hide();
})

$("#jenisAkta").change(function(){
    if(($(this).val()==1)||($(this).val()==8))
    $("tr.tr_penuntut").show();
    else $("tr.tr_penuntut").hide();
})

$("#jenisAkta").change(function(){
    if($(this).val()==7)
    $("tr.tr_pemohon").show();
    else $("tr.tr_pemohon").hide();
})
$("#jenisAkta").change(function(){
    if($(this).val()==7)
    $("tr.tr_termohon").show();
    else $("tr.tr_termohon").hide();
})

$("#jenisAkta").change(function(){
    if($(this).val()==7)
    $("tr.trinputtermohon").show();
    else $("tr.trinputtermohon").hide();
})
$("#jenisAkta").change(function(){
    if($(this).val()==7)
    $("tr.trTerdakwa").hide();
    $("tr.trPenuntut").hide();
})
$("#jenisAkta").change(function(){
    if($(this).val()==6)
    $("tr.trTerdakwa").show();
})
$("#jenisAkta").change(function(){
    if($(this).val()==5)
    $("tr.trPenuntut").show();
})

$('#frm_relaas_akta').submit(function(e) {
    var jenisAkta=$('#jenisAkta').val();
    var tglkasasi=$('#inputrelaaskasasi').val();
    if(jenisAkta==7){
        var inputtgltermohon2=$('#inputtgltermohon2').val();
        if(inputtgltermohon2==''){
            message_error_show('Silahkan Isi Tanggal Penerimaan Kontra Memori');
            e.preventDefault();
        }
    }
    if(tglkasasi==''){
        message_error_show('Silahkan Isi Tanggal Relaas Pemberitahuan');
        e.preventDefault();
    }
    
    if(jenisAkta==1){
        var inputrelaaskasasi = $('#inputrelaaskasasi').val();
        if(inputrelaaskasasi==''){
            message_error_show('Silahkan Isi Tanggal Relaas Pemberitahuan');
            e.preventDefault();
        }        
    }
    
    if((jenisAkta==2)||(jenisAkta==9)){
        var terdakwa = $('#terdakwa').val();
        if(terdakwa==-1){
            message_error_show('Silahkan Pilih Nama Terdakwa');
            e.preventDefault();
        }
    }    
    
    if((jenisAkta==1)||(jenisAkta==8)){
        var penuntut = $('#penuntut').val();
        if(penuntut==-1){
            message_error_show('Silahkan Pilih Penuntut Umum');
            e.preventDefault();
        }
    }         

    if(jenisAkta==7){
        var pemohon = $('#pemohon').val();
        if(pemohon==-1){
            message_error_show('Silahkan Pilih Pemohon Kasasi');
            e.preventDefault();
        }
    }
    if(jenisAkta==7){
        var termohon = $('#termohon').val();
        if(termohon==-1){
            message_error_show('Silahkan Pilih Termohon Kasasi');
            e.preventDefault();
        }
    }
   
    //if(jenisAkta==7){
    //    var inputtgltermohon = $('#inputtgltermohon').text();
    //    if((inputtgltermohon=='')||(inputtgltermohon=='//')){
    //        message_error_show('Silahkan Isi Tanggal Penerimaan Kontra Memori Kasasi');
    //        e.preventDefault();
    //    }
    //}
    var jurusita=$('#jurusita').val();
    if(jurusita==-1){
        message_error_show('Silahkan Pilih Nama Jurusita/JSP');
        e.preventDefault();
    }
    if((jenisAkta==1)||(jenisAkta==2)||(jenisAkta==3)||(jenisAkta==4)||(jenisAkta==5)||(jenisAkta==6)||(jenisAkta==7)){
        var kasasiTerhadap=$('#kasasiTerhadap').val();
        if(kasasiTerhadap==-1){
            message_error_show('Silahkan Pilih Kasasi Terhadap Putusan');
            e.preventDefault();
        }
    }           
    if(jenisAkta==-1){
        message_error_show('Silahkan Pilih Jenis Akta Relaas Banding');
        e.preventDefault();
    }

});
</script>